LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
SimpleLogRing Service Reference

This service allows to log the events in a ring of specified size. More...

`import"SimpleLogRing.idl";`

Inheritance diagram for SimpleLogRing:

## Public Member Functions
| create ()
| creates a ring of default size - 256 messages More...
| createWithSize ([in] long nSize)
| creates a ring of specified size More...
Public Member Functions inherited from XSimpleLogRing
void | logString ([in] string aMessage)
| allows to add a message to the logger More...
sequence< string > | getCollectedLog ()
| allows to get the collected messages from the logger More...

## Detailed Description

This service allows to log the events in a ring of specified size.

Since
  OOo 3.2

## Member Function Documentation

create | ( |  | ) |

creates a ring of default size - 256 messages

createWithSize | ( | [in] long | nSize | ) |

creates a ring of specified size

Parameters

  nSize | the number of messages in a ring

The documentation for this service was generated from the following file:

- com/sun/star/logging/SimpleLogRing.idl